package cn.com.qmth.examcloud.service.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.examwork.entity.ExamStudent;

public interface ExamStudentRepo extends JpaRepository<ExamStudent, Long>,QueryByExampleExecutor<ExamStudent>,JpaSpecificationExecutor<ExamStudent> {
    Page<ExamStudent> findByExamId(Long examId, Pageable pageable);

	List<ExamStudent> findByExamId(Long examId);
}
